#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1e5c660a, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x9db3059a, __VMLINUX_SYMBOL_STR(tpm_pm_suspend) },
	{ 0xaa9087c0, __VMLINUX_SYMBOL_STR(param_ops_string) },
	{ 0x33ba5cd4, __VMLINUX_SYMBOL_STR(param_ops_bool) },
	{ 0xa09ca60b, __VMLINUX_SYMBOL_STR(pnp_unregister_driver) },
	{ 0x4dfc6604, __VMLINUX_SYMBOL_STR(platform_driver_unregister) },
	{ 0x59d91695, __VMLINUX_SYMBOL_STR(platform_device_unregister) },
	{ 0x73194b8e, __VMLINUX_SYMBOL_STR(platform_device_register_full) },
	{ 0xbc8dce4d, __VMLINUX_SYMBOL_STR(__platform_driver_register) },
	{ 0xbf84bb5a, __VMLINUX_SYMBOL_STR(pnp_register_driver) },
	{ 0xe2d5255a, __VMLINUX_SYMBOL_STR(strcmp) },
	{ 0x49bd09d4, __VMLINUX_SYMBOL_STR(pnpacpi_protocol) },
	{ 0xc83ed0e8, __VMLINUX_SYMBOL_STR(pnp_get_resource) },
	{ 0xaac7d5c, __VMLINUX_SYMBOL_STR(__dynamic_dev_dbg) },
	{ 0xdb7305a1, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0xf20dabd8, __VMLINUX_SYMBOL_STR(free_irq) },
	{ 0xff57e75f, __VMLINUX_SYMBOL_STR(tpm_gen_interrupt) },
	{ 0x2e7c9d97, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x44f69704, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0xd6b8e852, __VMLINUX_SYMBOL_STR(request_threaded_irq) },
	{ 0x68dfc59f, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0xc5534d64, __VMLINUX_SYMBOL_STR(ioread16) },
	{ 0x377a755d, __VMLINUX_SYMBOL_STR(tpm_get_timeouts) },
	{ 0x74e49efb, __VMLINUX_SYMBOL_STR(_dev_info) },
	{ 0x56fa7131, __VMLINUX_SYMBOL_STR(tpm_remove_hardware) },
	{ 0xedc03953, __VMLINUX_SYMBOL_STR(iounmap) },
	{ 0x3bd1b1f6, __VMLINUX_SYMBOL_STR(msecs_to_jiffies) },
	{ 0x3af98f9e, __VMLINUX_SYMBOL_STR(ioremap_nocache) },
	{ 0xd01fa2d6, __VMLINUX_SYMBOL_STR(tpm_register_hardware) },
	{ 0x687a413c, __VMLINUX_SYMBOL_STR(tpm_calc_ordinal_duration) },
	{ 0x188e6ede, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0xef5d997f, __VMLINUX_SYMBOL_STR(freezing_slow_path) },
	{ 0x7ab88a45, __VMLINUX_SYMBOL_STR(system_freezing_cnt) },
	{ 0x75bb675a, __VMLINUX_SYMBOL_STR(finish_wait) },
	{ 0xa56d356, __VMLINUX_SYMBOL_STR(prepare_to_wait_event) },
	{ 0xd62c833f, __VMLINUX_SYMBOL_STR(schedule_timeout) },
	{ 0x4c4fef19, __VMLINUX_SYMBOL_STR(kernel_stack) },
	{ 0x7807b0f2, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0x704e748b, __VMLINUX_SYMBOL_STR(wait_for_tpm_stat) },
	{ 0xf9a482f9, __VMLINUX_SYMBOL_STR(msleep) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0xe45f60d8, __VMLINUX_SYMBOL_STR(__wake_up) },
	{ 0xf10de535, __VMLINUX_SYMBOL_STR(ioread8) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x3d10e87d, __VMLINUX_SYMBOL_STR(tpm_dev_vendor_release) },
	{ 0x436c2179, __VMLINUX_SYMBOL_STR(iowrite32) },
	{ 0xe484e35f, __VMLINUX_SYMBOL_STR(ioread32) },
	{ 0x2934a34d, __VMLINUX_SYMBOL_STR(tpm_do_selftest) },
	{ 0x4826d950, __VMLINUX_SYMBOL_STR(tpm_pm_resume) },
	{ 0x727c4f3, __VMLINUX_SYMBOL_STR(iowrite8) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=tpm";

MODULE_ALIAS("pnp:dPNP0C31*");
MODULE_ALIAS("acpi*:PNP0C31:*");
MODULE_ALIAS("pnp:dATM1200*");
MODULE_ALIAS("acpi*:ATM1200:*");
MODULE_ALIAS("pnp:dIFX0102*");
MODULE_ALIAS("acpi*:IFX0102:*");
MODULE_ALIAS("pnp:dBCM0101*");
MODULE_ALIAS("acpi*:BCM0101:*");
MODULE_ALIAS("pnp:dBCM0102*");
MODULE_ALIAS("acpi*:BCM0102:*");
MODULE_ALIAS("pnp:dNSC1200*");
MODULE_ALIAS("acpi*:NSC1200:*");
MODULE_ALIAS("pnp:dICO0102*");
MODULE_ALIAS("acpi*:ICO0102:*");
MODULE_ALIAS("pnp:d*");
MODULE_ALIAS("acpi*::*");

MODULE_INFO(srcversion, "EBAE637288D03178A6F4047");
